#! /usr/bin/env node

var Marked = require('marked')
var highlight = require('./highlight')
var fs = require('fs')

Marked.setOptions({
    highlight: function (code, lang) {
      if(lang == 'js') {
        return highlight(code)
      }
      return code
    }
})

var log = console.log

module.exports = function (opts) {

  var file = opts.file || opts._.shift()

  function html (t) {
    if(!opts.html) return
    log(t)
  }

  html('<!doctype html>')
  html('  <html>')
  html('  <head>')
  html('   <meta http-equiv="Content-Type" content="text/html; charset=utf-8">')
  if(opts.css) {
    html('  <style>')
    log(fs.readFileSync(__dirname + '/styles/gh.css', 'utf8'))
    html('  </style>')
  }
  html('  </head>')
  html('  <body>')
  if(file)
    log(Marked(fs.readFileSync(file, 'utf8')))
  if(opts.script) {
    html('    <script>')
    log(fs.readFileSync(opts.script, 'utf8'))
    html('    </script>')
  }
  html('</body>')
  html('</html>')

}

if(!module.parent) {
  var opts = require('optimist').argv
  if(opts.v || opts.version)
    return console.log(require('./package.json').version)
  module.exports(opts)
}
